{% set timeRange = range(lowestIndex, maxLength) %}
<table>
  <tr class="lessonNumbers">
    <th class="lessonNumber"><div></div></th>
    {% for hour in timeRange -%}
    <th data-time="{{ lessonTimes[hour] }}" >
      <div class="lessonNumber">
        <p class="number">{{ hour }}</p>
        <p class="time">{{ lessonTimes[hour] }}</p>
      </div>
    </th>
    {%- endfor %}
  </tr>
  {% for day in week %}
  {% set dayIndex = loop.index %}
  <tr class="day">
    <th data-day="{{ dayIndex }}"><div class="dayName">
      {{ dayNames[loop.index0] }}
    </div></th>
    {% for hour in timeRange %}
    {%- set lessons = day[hour] -%}
      <td data-time="{{ lessonTimes[hour] }}" data-day="{{ dayIndex }}">
        <div class="lessons">
        {%- for lesson in lessons -%}
          <div class="lesson subject{{ lesson.subject }}"
              style="background-color: {{subjectColors[lesson.subject]}};
              color:white">

            <p class="subjectName">{{ lesson.subject }}</p>

            {% if lesson.optional -%}
              <p class="karel">👌🔥<br>(Karel Only)</p>
            {%- endif %}

            <div class="lessonPlace">
              <p>{{ lesson.teacher }}</p>
              <p class="room">{{ lesson.room }}</p>
            </div>

          </div>
        {%- endfor -%}
        </div>
      </td>
    {% endfor %}
  </tr>
  {% endfor %}
</table>
